# -*- coding: utf-8 -*-

# Copyright (c) Pilot Systems, 2013

# This file is part of Faceted SeSQL.

# SeSQL is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# SeSQL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Faceted SeSQL.  If not, see <http://www.gnu.org/licenses/>.

from pizza.models import *
from faceted_sesql.facets import *
from faceted_sesql.core import *
from django.utils.translation import ugettext_lazy as _

pizza = FacetedSearchConfiguration(Pizza,
                                   [ StringFacet("shop"),
                                     StringFacet("persons",
                                                 title = u"number of persons"),
                                     RangeFacet("weight", title = u"weight (g)"),
                                     RangeFacet("calories"),
                                     RangeFacet("price", title = u"price (€)"),
                                     ChoiceFacet("crust", CRUST_TYPES,
                                                 title = u"crust type"),
                                     ForeignkeyFacet("toppings", Topping, 
                                                     'name'),
                                     ChoiceFacet("qualities", QUALITY_NAMES,
                                                 title = u"special diets"),
                                     ChoiceFacet("opendays", DAYS,
                                                 title = u"available on") ],
                                   sort_options = [ FacetedSortOption('none',
                                                                      None,
                                                                      '----'),
                                                    "price", "shop", "-weight" ])
